Bug 1060519 - Review Request: qm-dsp - Library for DSP and Music Informatics purposes
Summary: Review Request: qm-dsp - Library for DSP and Music Informatics purposes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Milata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1060520
TreeView+ depends on / blocked
 
Reported: 2014-02-02 10:21 UTC by František Dvořák
Modified: 2014-11-25 20:11 UTC (History)
3 users (show)

Fixed In Version: qm-dsp-1.7-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:39:40 UTC
mmilata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-02-02 10:21:41 UTC
Spec URL: http://scientific.zcu.cz/fedora/qm-dsp-1.7-1/qm-dsp.spec
SRPM URL: http://scientific.zcu.cz/fedora/qm-dsp-1.7-1/qm-dsp-1.7-1.fc21.src.rpm
Description: qm-dsp is a C++ library of functions for DSP and Music Informatics purposes developed at Queen Mary, University of London. It is used by the QM Vamp Plugins (q.v.) among other things.
Fedora Account System Username: valtri

Packaging of qm-dsp and qm-vamp-plugins is motivated by bringing automatic tempo and beat detection to mixxx (https://bugzilla.rpmfusion.org/show_bug.cgi?id=3019). But Queen Mary Vamp plugins can do a lot more.

Comment 2 František Dvořák 2014-02-13 09:31:14 UTC
Yes, that's the source code repository for qm-vamp-plugins (request #1060520).

qm-dsp helper library has repository at https://code.soundsoftware.ac.uk/projects/qm-dsp/repository .

Comment 3 František Dvořák 2014-08-03 23:14:13 UTC
Spec URL: http://scientific.zcu.cz/fedora/qm-dsp-1.7-1b/qm-dsp.spec
SRPM URL: http://scientific.zcu.cz/fedora/qm-dsp-1.7-1b/qm-dsp-1.7-1.fc22.src.rpm

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7236317

The "libtoolize patch" to make shared library was probably too much. This new version is nearer to upstream: it builds and provides only the static library.

Comment 4 Martin Milata 2014-10-13 22:11:51 UTC
Looks pretty good!

The only guideline not followed I've been able to find is "All patches should have an upstream bug link or comment"[1] - can you submit qm-dsp-cxx-build.patch (or does [2] do the same?) and qm-dsp-install.patch upstream and include a link/comment?

Also, it makes sense to try to be close to upstream but can you perhaps open an upstream bug for supporting shared library builds (provided qm-vamp-plugins can use it)?

[1] https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
[2] https://code.soundsoftware.ac.uk/projects/qm-dsp/repository/revisions/915365c58758

Comment 5 František Dvořák 2014-10-16 20:18:53 UTC
Thanks for taking the review! These two packages are quite interesting - the scientific research behind, the packaging (using insane Fortran math libraries :-)), and the practical application in mixxx.

It looks like the cxx build is really fixed (link to upstream commit can be added). The install patch would be usefull to send.

I guess the authors won't like the shared library with the PIC code much - there are quite a lot of micro-optimizations - but it can be mentioned.

I had trouble with contacting upstream authors though, but I'll try again.

Comment 6 Martin Milata 2014-10-17 22:03:10 UTC
To be honest I'm mostly interested in the mixxx plugin:)

So, can you either replace the cxx build patch with the one for upstream or include a comment, or am I being too nitpicky?

I thought you could just open issues in their bug tracker but it seems that the registration open for everyone. If you sent an email already, that's good enough for me.

Comment 7 František Dvořák 2014-10-25 15:42:04 UTC
The new updated version:

Spec URL: http://scientific.zcu.cz/fedora/qm-dsp-1.7-2/qm-dsp.spec
SRPM URL: http://scientific.zcu.cz/fedora/qm-dsp-1.7-2/qm-dsp-1.7-2.fc22.src.rpm

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7941888

I sent email to upstream author at February, but vamp-plugins forum is probably preferred. I'll try to publish the patches there.

Comment 8 Martin Milata 2014-10-30 14:37:43 UTC
The new spec is fine -> ACCEPT.

Thank you for packaging the library!

Comment 9 František Dvořák 2014-11-01 14:01:10 UTC
Patches submitted here: http://vamp-plugins.org/forum/index.php/topic,270.0.html

Comment 10 František Dvořák 2014-11-01 14:01:28 UTC
New Package SCM Request
=======================
Package Name: qm-dsp
Short Description: Library for DSP and Music Informatics purposes
Upstream URL: http://isophonics.net/QMVampPlugins
Owners: valtri
Branches: f20 f21 el6 epel7
InitialCC:

Comment 11 Gwyn Ciesla 2014-11-03 13:21:04 UTC
Git done (by process-git-requests).

Comment 12 František Dvořák 2014-11-05 12:06:22 UTC
New Package SCM Request
=======================
Package Name: qm-dsp
Short Description: Library for DSP and Music Informatics purposes
Upstream URL: http://isophonics.net/QMVampPlugins
Owners: valtri
Branches: f20 f21 el6 epel7
InitialCC:

Can you check this package? I think something went wrong with qm-dsp, it isn't available yet. The other package, qm-vamp-plugins, looks OK. Thanks!

Comment 13 Gwyn Ciesla 2014-11-05 12:23:23 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-11-05 14:50:09 UTC
qm-dsp-1.7-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qm-dsp-1.7-2.fc21

Comment 15 Fedora Update System 2014-11-05 14:51:01 UTC
qm-dsp-1.7-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qm-dsp-1.7-2.fc20

Comment 16 Fedora Update System 2014-11-05 14:51:58 UTC
qm-dsp-1.7-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/qm-dsp-1.7-2.el7

Comment 17 Fedora Update System 2014-11-05 14:52:43 UTC
qm-dsp-1.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qm-dsp-1.7-2.el6

Comment 18 Fedora Update System 2014-11-05 19:26:05 UTC
qm-dsp-1.7-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 19 Fedora Update System 2014-11-10 06:39:40 UTC
qm-dsp-1.7-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 20 Fedora Update System 2014-11-19 15:59:53 UTC
qm-dsp-1.7-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 21 Fedora Update System 2014-11-25 20:10:41 UTC
qm-dsp-1.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 22 Fedora Update System 2014-11-25 20:11:17 UTC
qm-dsp-1.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.